	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "coastlines2")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -3.00)
	call psetr("subpage_upper_right_longitude", 10.00)
	call psetr("subpage_upper_right_latitude", 48.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 55.00)

	call psetc("map_boundaries_colour", "red")
	call psetc("map_boundaries", "on")
	call psetc("map_coastline_resolution", "high")
	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_cities", "on")
	call psetc("map_grid", "off")
	call psetc("map_coastline_land_shade", "on")
	call psetc("map_grid_colour", "tan")
	call psetc("map_coastline_colour", "tan")
	call pset1c("map_administrative_boundaries_countries_list", (/"France        ", "Germany       ", "United Kingdom"/), 3)
	call psetc("map_administrative_boundaries_colour", "orange")
	call psetc("map_rivers", "on")
	call psetc("map_administrative_boundaries", "on")
	call pcoast

	call pset1c("text_lines", (/"<font size="1">Administrative boundaries, cities and rivers</font>"/), 1)
	call psetr("text_font_size", 0.80)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
